### Method

# Gtk BuildableParseContext get_element_stack

#### Declaration [src]

    GPtrArray*
    gtk_buildable_parse_context_get_element_stack (
      GtkBuildableParseContext* context
    )

#### Description [src]

Retrieves the element stack from the internal state of the parser.

The returned `GPtrArray` is an array of strings where the last item is the currently open tag (as would be returned by gtk_buildable_parse_context_get_element()) and the previous item is its immediate parent.

This function is intended to be used in the start_element and end_element handlers where `gtk_buildable_parse_context_get_element()` would merely return the name of the element that is being processed.

#### Return value

Type: An array of `utf8`

The element stack, which must not be modified.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.